org.eclnt.workplace

## Class WorkpageDispatchedPageBean

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.managedbean.DefaultDispatchedPageBean
    - - org.eclnt.workplace.WorkpageDispatchedPageBean

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject
  Direct Known Subclasses:
    StreamStoreDetailUI, StreamStoreTreeUI, WorkplaceFoldableFunctionTrees, WorkplaceFunctionSearchUI

      public abstract class WorkpageDispatchedPageBean
      extends DefaultDispatchedPageBean
      implements java.io.Serializable

  Bean that is managed within a workplace context. Gives convenience access to "IWorkpagDispatcher" as owning dispatcher and "IWorkpage" as assigned workpage.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageDispatchedPageBean(IWorkpageDispatcher dispatcher)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWorkpageDispatcher` | `getOwningDispatcher()`
    `IWorkpage` | `getWorkpage()`
    `IWorkpageContainer` | `getWorkpageContainer()`
    `void` | `setDispatcher(IDispatcher dispatcher)` Set the dispatcher.

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPageName, getPopups, getRootExpressionUsedInPage, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageDispatchedPageBean

          public WorkpageDispatchedPageBean(IWorkpageDispatcher dispatcher)

  - ### Method Detail

    - #### getOwningDispatcher

          public IWorkpageDispatcher getOwningDispatcher()

      Overrides:
        `getOwningDispatcher` in class `DefaultDispatchedPageBean`

    - #### getWorkpage

          public IWorkpage getWorkpage()

    - #### getWorkpageContainer

          public IWorkpageContainer getWorkpageContainer()

    - #### setDispatcher

          public void setDispatcher(IDispatcher dispatcher)

      Description copied from class: `DefaultDispatchedPageBean`
      Set the dispatcher. By default the dispatche is passed within the constructor. In order to support CDI-scenarios requiring constructors without any parameters you also can set the dispatcher - but need to do this directly after the creation of the instance! (Typically you need to update the Disptacher itself in order to do this.) This method will throw a runtime exception if the dispatcher is already set within the component.
      Overrides:
        `setDispatcher` in class `DefaultDispatchedPageBean`

Copyright © CaptainCasa Gmbh. All Rights Reserved.